<?php
session_start();
header("Cache-control: private");

error_reporting(E_ERROR);

if (get_magic_quotes_gpc()) {
	function stripslashes_array($data) {
		if (is_array($data)){
			 foreach ($data as $key => $value){
				  $data[$key] = stripslashes_array($value);
			 }
			 return $data;
		}
		else{
			 return stripslashes($data);
		}
	}

	$_REQUEST = stripslashes_array($_REQUEST);
}

$login_username = file_get_contents("data/username.txt");

if (!isset($_SESSION['logged_in']) or ($_SESSION['logged_in'] != $login_username)) {
	exit();
}

if (isset($_REQUEST['title']) and !empty($_REQUEST['title']) and (file_get_contents("data/title.txt") != $_REQUEST['title'])) {
	$title_write_content = ucfirst($_REQUEST['title']);
	$fp_title_txt = fopen("data/title.txt","w");
	fwrite($fp_title_txt,$title_write_content);
	fclose($fp_title_txt);
}

if (isset($_REQUEST['author']) and !empty($_REQUEST['author']) and (file_get_contents("data/author.txt") != $_REQUEST['author'])) {
	$author_write_content = ucfirst($_REQUEST['author']);
	$fp_author_txt = fopen("data/author.txt","w");
	fwrite($fp_author_txt,$author_write_content);
	fclose($fp_author_txt);
}

if (isset($_REQUEST['email']) and !empty($_REQUEST['email']) and (file_get_contents("data/email.txt") != $_REQUEST['email']) and (ereg("@", $_REQUEST['email'])) and (ereg("\.", $_REQUEST['email']))) {
	$email_write_content = strtolower($_REQUEST['email']);
	$email_write_content = trim($email_write_content);
	$email_write_content = htmlentities($email_write_content, ENT_NOQUOTES);
	$fp_email_txt = fopen("data/email.txt","w");
	fwrite($fp_email_txt,$email_write_content);
	fclose($fp_email_txt);
}

if (!isset($_REQUEST['email']) or empty($_REQUEST['email'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/email.txt")) {
			unlink("data/email.txt");
		}
	}
}

if (isset($_REQUEST['increase']) and !empty($_REQUEST['increase']) and is_numeric($_REQUEST['increase']) and ($_REQUEST['increase'] > 0) and (file_get_contents("data/increase.txt") != $_REQUEST['increase'])) {
	$increase_write_content = number_format($_REQUEST['increase'],0,'.','');
	$fp_increase_txt = fopen("data/increase.txt","w");
	fwrite($fp_increase_txt,$increase_write_content);
	fclose($fp_increase_txt);
}

if (!isset($_REQUEST['increase']) or empty($_REQUEST['increase']) or !is_numeric($_REQUEST['increase']) or ($_REQUEST['increase'] <= 0)) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/increase.txt")) {
			unlink("data/increase.txt");
		}
	}
}

if (isset($_REQUEST['offset']) and !empty($_REQUEST['offset']) and is_numeric($_REQUEST['offset']) and (file_get_contents("data/offset.txt") != $_REQUEST['offset'])) {
	$fp_offset_txt = fopen("data/offset.txt","w");
	fwrite($fp_offset_txt,$_REQUEST['offset']);
	fclose($fp_offset_txt);
}

if (!isset($_REQUEST['offset']) or empty($_REQUEST['offset']) or !is_numeric($_REQUEST['offset'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/offset.txt")) {
			unlink("data/offset.txt");
		}
	}
}

if (isset($_REQUEST['sfx']) and !empty($_REQUEST['sfx']) and is_numeric($_REQUEST['sfx']) and (file_get_contents("data/sfx.txt") != $_REQUEST['sfx'])) {
	$fp_sfx_txt = fopen("data/sfx.txt","w");
	fwrite($fp_sfx_txt,$_REQUEST['sfx']);
	fclose($fp_sfx_txt);
}

if (!isset($_REQUEST['sfx']) or empty($_REQUEST['sfx']) or !is_numeric($_REQUEST['sfx'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/sfx.txt")) {
			unlink("data/sfx.txt");
		}
	}
}

if (isset($_REQUEST['ping']) and !empty($_REQUEST['ping']) and (file_get_contents("data/ping.txt") != $_REQUEST['ping']) and (ereg("\.", $_REQUEST['ping'])) and (ereg("http://", $_REQUEST['ping']))) {
	$ping_write_content = strtolower($_REQUEST['ping']);
	$ping_write_content = trim($ping_write_content);
	$ping_write_content = htmlentities($ping_write_content, ENT_NOQUOTES);
	$fp_ping_txt = fopen("data/ping.txt","w");
	fwrite($fp_ping_txt,$ping_write_content);
	fclose($fp_ping_txt);
}

if (!isset($_REQUEST['ping']) or empty($_REQUEST['ping'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/ping.txt")) {
			unlink("data/ping.txt");
		}
	}
}

if (isset($_REQUEST['nocomment']) and !empty($_REQUEST['nocomment']) and ($_REQUEST['nocomment'] == "on") and !file_exists("data/nocomment.txt")) {
	touch("data/nocomment.txt");
}

if (!isset($_REQUEST['nocomment']) or empty($_REQUEST['nocomment'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/nocomment.txt")) {
			unlink("data/nocomment.txt");
		}
	}
}

if (isset($_REQUEST['nak']) and !empty($_REQUEST['nak']) and ($_REQUEST['nak'] == "on") and !file_exists("data/nak.txt")) {
	touch("data/nak.txt");
}

if (!isset($_REQUEST['nak']) or empty($_REQUEST['nak'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/nak.txt")) {
			unlink("data/nak.txt");
		}
	}
}

if (isset($_REQUEST['nopdf']) and !empty($_REQUEST['nopdf']) and ($_REQUEST['nopdf'] == "on") and !file_exists("data/nopdf.txt")) {
	touch("data/nopdf.txt");
}

if (!isset($_REQUEST['nopdf']) or empty($_REQUEST['nopdf'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/nopdf.txt")) {
			unlink("data/nopdf.txt");
		}
	}
}

if (isset($_REQUEST['xrand']) and !empty($_REQUEST['xrand']) and ($_REQUEST['xrand'] == "on") and !file_exists("data/xrand.txt")) {
	touch("data/xrand.txt");
}

if (!isset($_REQUEST['xrand']) or empty($_REQUEST['xrand'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/xrand.txt")) {
			unlink("data/xrand.txt");
		}
	}
}

if (isset($_REQUEST['xarc']) and !empty($_REQUEST['xarc']) and ($_REQUEST['xarc'] == "on") and !file_exists("data/xarc.txt")) {
	touch("data/xarc.txt");
}

if (!isset($_REQUEST['xarc']) or empty($_REQUEST['xarc'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/xarc.txt")) {
			unlink("data/xarc.txt");
		}
	}
}

if (isset($_REQUEST['xcat']) and !empty($_REQUEST['xcat']) and ($_REQUEST['xcat'] == "on") and !file_exists("data/xcat.txt")) {
	touch("data/xcat.txt");
}

if (!isset($_REQUEST['xcat']) or empty($_REQUEST['xcat'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/xcat.txt")) {
			unlink("data/xcat.txt");
		}
	}
}

if (isset($_REQUEST['nocat']) and !empty($_REQUEST['nocat']) and ($_REQUEST['nocat'] == "on") and !file_exists("data/nocat.txt")) {
	touch("data/nocat.txt");
}

if (!isset($_REQUEST['nocat']) or empty($_REQUEST['nocat'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/nocat.txt")) {
			unlink("data/nocat.txt");
		}
	}
}

if (isset($_REQUEST['round']) and !empty($_REQUEST['round']) and ($_REQUEST['round'] == "on") and !file_exists("data/round.txt")) {
	touch("data/round.txt");
}

if (!isset($_REQUEST['round']) or empty($_REQUEST['round'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/round.txt")) {
			unlink("data/round.txt");
		}
	}
}

if (isset($_REQUEST['center']) and !empty($_REQUEST['center']) and ($_REQUEST['center'] == "on") and !file_exists("data/center.txt")) {
	touch("data/center.txt");
}

if (!isset($_REQUEST['center']) or empty($_REQUEST['center'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/center.txt")) {
			unlink("data/center.txt");
		}
	}
}

if (isset($_REQUEST['old']) and !empty($_REQUEST['old']) and ($_REQUEST['old'] == "on") and !file_exists("data/old.txt")) {
	touch("data/old.txt");
}

if (!isset($_REQUEST['old']) or empty($_REQUEST['old'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/old.txt")) {
			unlink("data/old.txt");
		}
	}
}

if (isset($_REQUEST['pf']) and !empty($_REQUEST['pf']) and ($_REQUEST['pf'] == "on") and !file_exists("data/pf.txt")) {
	touch("data/pf.txt");
}

if (!isset($_REQUEST['pf']) or empty($_REQUEST['pf'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/pf.txt")) {
			unlink("data/pf.txt");
		}
	}
}

if (isset($_REQUEST['pf_badwords']) and !empty($_REQUEST['pf_badwords']) and (file_get_contents("data/pf-badwords.txt") != $_REQUEST['pf_badwords'])) {
	$pf_badwords_write_content = strtolower($_REQUEST['pf_badwords']);
	$pf_badwords_write_content = str_replace("\n","|",$pf_badwords_write_content);
	$pf_badwords_write_content = str_replace("\r","|",$pf_badwords_write_content);
	$pf_badwords_write_content = str_replace("||","|",$pf_badwords_write_content);
	$pf_badwords_write_content = trim($pf_badwords_write_content);
	$fp_pf_badwords_txt = fopen("data/pf-badwords.txt","w");
	fwrite($fp_pf_badwords_txt,$pf_badwords_write_content);
	fclose($fp_pf_badwords_txt);
}

if (!isset($_REQUEST['pf_badwords']) or empty($_REQUEST['pf_badwords'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/pf-badwords.txt")) {
			unlink("data/pf-badwords.txt");
		}
	}
}

if (isset($_REQUEST['pf_censor']) and !empty($_REQUEST['pf_censor']) and (file_get_contents("data/pf-censor.txt") != $_REQUEST['pf_censor'])) {
	$pf_censor_write_content = strtolower($_REQUEST['pf_censor']);
	$pf_censor_write_content = trim($pf_censor_write_content);
	$fp_pf_censor_txt = fopen("data/pf-censor.txt","w");
	fwrite($fp_pf_censor_txt,$pf_censor_write_content);
	fclose($fp_pf_censor_txt);
}

if (!isset($_REQUEST['pf_censor']) or empty($_REQUEST['pf_censor'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/pf-censor.txt")) {
			unlink("data/pf-censor.txt");
		}
	}
}

if (isset($_REQUEST['bb']) and !empty($_REQUEST['bb']) and ($_REQUEST['bb'] == "on") and !file_exists("data/bb.txt")) {
	touch("data/bb.txt");
}

if (!isset($_REQUEST['bb']) or empty($_REQUEST['bb'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb.txt")) {
			unlink("data/bb.txt");
		}
	}
}

if (isset($_REQUEST['reg']) and !empty($_REQUEST['reg']) and ($_REQUEST['reg'] == "on") and !file_exists("data/reg.txt")) {
	touch("data/reg.txt");
}

if (!isset($_REQUEST['reg']) or empty($_REQUEST['reg'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/reg.txt")) {
			unlink("data/reg.txt");
		}
	}
}

if (isset($_REQUEST['xapp']) and !empty($_REQUEST['xapp']) and ($_REQUEST['xapp'] == "on") and !file_exists("data/xapp.txt")) {
	touch("data/xapp.txt");
}

if (!isset($_REQUEST['xapp']) or empty($_REQUEST['xapp'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/xapp.txt")) {
			unlink("data/xapp.txt");
		}
	}
}

if (isset($_REQUEST['reset']) and !empty($_REQUEST['reset']) and ($_REQUEST['reset'] == "on") and !file_exists("data/reset.txt")) {
	touch("data/reset.txt");
}

if (!isset($_REQUEST['reset']) or empty($_REQUEST['reset'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/reset.txt")) {
			unlink("data/reset.txt");
		}
	}
}

if (isset($_REQUEST['member']) and !empty($_REQUEST['member']) and ($_REQUEST['member'] == "on") and !file_exists("data/member.txt")) {
	touch("data/member.txt");
}

if (!isset($_REQUEST['member']) or empty($_REQUEST['member'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/member.txt")) {
			unlink("data/member.txt");
		}
	}
}

if (isset($_REQUEST['ml']) and !empty($_REQUEST['ml']) and ($_REQUEST['ml'] == "on") and !file_exists("data/ml.txt")) {
	touch("data/ml.txt");
}

if (!isset($_REQUEST['ml']) or empty($_REQUEST['ml'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/ml.txt")) {
			unlink("data/ml.txt");
		}
	}
}

if (isset($_REQUEST['stats']) and !empty($_REQUEST['stats']) and ($_REQUEST['stats'] == "on") and !file_exists("data/bb-stats.txt")) {
	touch("data/bb-stats.txt");
}

if (!isset($_REQUEST['stats']) or empty($_REQUEST['stats'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-stats.txt")) {
			unlink("data/bb-stats.txt");
		}
	}
}

if (isset($_REQUEST['summary']) and !empty($_REQUEST['summary']) and ($_REQUEST['summary'] == "on") and !file_exists("data/bb-summary.txt")) {
	touch("data/bb-summary.txt");
}

if (!isset($_REQUEST['summary']) or empty($_REQUEST['summary'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-summary.txt")) {
			unlink("data/bb-summary.txt");
		}
	}
}

if (isset($_REQUEST['rank']) and !empty($_REQUEST['rank']) and ($_REQUEST['rank'] == "on") and !file_exists("data/rank.txt")) {
	touch("data/rank.txt");
}

if (!isset($_REQUEST['rank']) or empty($_REQUEST['rank'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/rank.txt")) {
			unlink("data/rank.txt");
		}
	}
}

if (isset($_REQUEST['sigs']) and !empty($_REQUEST['sigs']) and ($_REQUEST['sigs'] == "on") and !file_exists("data/bb-sig.txt")) {
	touch("data/bb-sig.txt");
}

if (!isset($_REQUEST['sigs']) or empty($_REQUEST['sigs'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-sig.txt")) {
			unlink("data/bb-sig.txt");
		}
	}
}

if (isset($_REQUEST['avatars']) and !empty($_REQUEST['avatars']) and ($_REQUEST['avatars'] == "on") and !file_exists("data/avatar.txt")) {
	touch("data/avatar.txt");
}

if (!isset($_REQUEST['avatars']) or empty($_REQUEST['avatars'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/avatar.txt")) {
			unlink("data/avatar.txt");
		}
	}
}

if ((!isset($_REQUEST['sig']) or empty($_REQUEST['sig'])) and isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
	unlink("data/sig.txt");
}

if (isset($_REQUEST['sig']) and !empty($_REQUEST['sig'])) {
	$sig = str_replace("[b]","<b>",$_REQUEST['sig']);
	$sig = str_replace("[/b]","</b>",$sig);
	$sig = str_replace("[i]","<i>",$sig);
	$sig = str_replace("[/i]","</i>",$sig);
	$sig = str_replace("[u]","<u>",$sig);
	$sig = str_replace("[/u]","</u>",$sig);
	$sig = str_replace("[sup]","<sup>",$sig);
	$sig = str_replace("[/sup]","</sup>",$sig);
	$sig = str_replace("[sub]","<sub>",$sig);
	$sig = str_replace("[/sub]","</sub>",$sig);
	$sig = str_replace("[strike]","<strike>",$sig);
	$sig = str_replace("[/strike]","</strike>",$sig);
	$sig = str_replace("\n","<br>", $sig);
	$sig = ucfirst($sig);
	$sig = trim($sig);
	$fp_sig_txt = fopen("data/sig.txt","w");
	fwrite($fp_sig_txt,$sig);
	fclose($fp_sig_txt);
}

if (isset($_REQUEST['pass_len']) and !empty($_REQUEST['pass_len']) and is_numeric($_REQUEST['pass_len']) and ($_REQUEST['pass_len'] > 0) and (file_get_contents("data/bb-passlen.txt") != $_REQUEST['pass_len'])) {
	$pass_len_write_content = number_format($_REQUEST['pass_len'],0,'.','');
	$fp_pass_len_txt = fopen("data/bb-passlen.txt","w");
	fwrite($fp_pass_len_txt,$pass_len_write_content);
	fclose($fp_pass_len_txt);
}

if (!isset($_REQUEST['pass_len']) or empty($_REQUEST['pass_len']) or !is_numeric($_REQUEST['pass_len']) or ($_REQUEST['pass_len'] <= 0)) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-passlen.txt")) {
			unlink("data/bb-passlen.txt");
		}
	}
}

if (isset($_REQUEST['min_age']) and !empty($_REQUEST['min_age']) and is_numeric($_REQUEST['min_age']) and ($_REQUEST['min_age'] > 0) and (file_get_contents("data/bb-min-age.txt") != $_REQUEST['min_age'])) {
	$min_age_write_content = number_format($_REQUEST['min_age'],0,'.','');
	$fp_min_age_txt = fopen("data/bb-min-age.txt","w");
	fwrite($fp_min_age_txt,$min_age_write_content);
	fclose($fp_min_age_txt);
}

if (!isset($_REQUEST['min_age']) or empty($_REQUEST['min_age']) or !is_numeric($_REQUEST['min_age']) or ($_REQUEST['min_age'] <= 0)) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-min-age.txt")) {
			unlink("data/bb-min-age.txt");
		}
	}
}

if (isset($_REQUEST['max_age']) and !empty($_REQUEST['max_age']) and is_numeric($_REQUEST['max_age']) and ($_REQUEST['max_age'] > 0) and (file_get_contents("data/bb-max-age.txt") != $_REQUEST['max_age'])) {
	$max_age_write_content = number_format($_REQUEST['max_age'],0,'.','');
	$fp_max_age_txt = fopen("data/bb-max-age.txt","w");
	fwrite($fp_max_age_txt,$max_age_write_content);
	fclose($fp_max_age_txt);
}

if (!isset($_REQUEST['max_age']) or empty($_REQUEST['max_age']) or !is_numeric($_REQUEST['max_age']) or ($_REQUEST['max_age'] <= 0)) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-max-age.txt")) {
			unlink("data/bb-max-age.txt");
		}
	}
}

if (isset($_REQUEST['bb_idle']) and !empty($_REQUEST['bb_idle']) and is_numeric($_REQUEST['bb_idle']) and ($_REQUEST['bb_idle'] > 0) and (file_get_contents("data/bb-idle.txt") != $_REQUEST['bb_idle'])) {
	$bb_idle_write_content = number_format($_REQUEST['bb_idle'],0,'.','');
	$fp_bb_idle_txt = fopen("data/bb-idle.txt","w");
	fwrite($fp_bb_idle_txt,$bb_idle_write_content);
	fclose($fp_bb_idle_txt);
}

if (!isset($_REQUEST['bb_idle']) or empty($_REQUEST['bb_idle']) or !is_numeric($_REQUEST['bb_idle']) or ($_REQUEST['bb_idle'] <= 0)) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-idle.txt")) {
			unlink("data/bb-idle.txt");
		}
	}
}

if (isset($_REQUEST['bb_reserved']) and !empty($_REQUEST['bb_reserved']) and (file_get_contents("data/bb-reserved.txt") != $_REQUEST['bb_reserved'])) {
	$bb_reserved_write_content = strtolower($_REQUEST['bb_reserved']);
	$bb_reserved_write_content = trim($bb_reserved_write_content);
	$fp_bb_reserved_txt = fopen("data/bb-reserved.txt","w");
	fwrite($fp_bb_reserved_txt,$bb_reserved_write_content);
	fclose($fp_bb_reserved_txt);
}

if (!isset($_REQUEST['bb_reserved']) or empty($_REQUEST['bb_reserved'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-reserved.txt")) {
			unlink("data/bb-reserved.txt");
		}
	}
}

if (isset($_REQUEST['bb_disclaimer']) and !empty($_REQUEST['bb_disclaimer']) and (file_get_contents("data/bb-disclaimer.txt") != $_REQUEST['bb_disclaimer'])) {
	$bb_disclaimer_write_content = ucfirst($_REQUEST['bb_disclaimer']);
	$bb_disclaimer_write_content = str_replace("\n","<br>",$bb_disclaimer_write_content);
	$bb_disclaimer_write_content = trim($bb_disclaimer_write_content);
	$fp_bb_disclaimer_txt = fopen("data/bb-disclaimer.txt","w");
	fwrite($fp_bb_disclaimer_txt,$bb_disclaimer_write_content);
	fclose($fp_bb_disclaimer_txt);
}

if (!isset($_REQUEST['bb_disclaimer']) or empty($_REQUEST['bb_disclaimer'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bb-disclaimer.txt")) {
			unlink("data/bb-disclaimer.txt");
		}
	}
}

if (isset($_REQUEST['ml_reply2']) and !empty($_REQUEST['ml_reply2']) and (file_get_contents("data/ml-reply2.txt") != $_REQUEST['ml_reply2']) and (ereg("@", $_REQUEST['ml_reply2'])) and (ereg("\.", $_REQUEST['ml_reply2']))) {
	$ml_reply2_write_content = strtolower($_REQUEST['ml_reply2']);
	$ml_reply2_write_content = trim($ml_reply2_write_content);
	$ml_reply2_write_content = htmlentities($ml_reply2_write_content, ENT_NOQUOTES);
	$fp_ml_reply2_txt = fopen("data/ml-reply2.txt","w");
	fwrite($fp_ml_reply2_txt,$ml_reply2_write_content);
	fclose($fp_ml_reply2_txt);
}

if (!isset($_REQUEST['ml_reply2']) or empty($_REQUEST['ml_reply2'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/ml-reply2.txt")) {
			unlink("data/ml-reply2.txt");
		}
	}
}

if (isset($_REQUEST['ml_prepend']) and !empty($_REQUEST['ml_prepend']) and (file_get_contents("data/ml-prepend.txt") != $_REQUEST['ml_prepend'])) {
	$ml_prepend_write_content = ucfirst($_REQUEST['ml_prepend']);
	$ml_prepend_write_content = trim($ml_prepend_write_content);
	$fp_ml_prepend_txt = fopen("data/ml-prepend.txt","w");
	fwrite($fp_ml_prepend_txt,$ml_prepend_write_content);
	fclose($fp_ml_prepend_txt);
}

if (!isset($_REQUEST['ml_prepend']) or empty($_REQUEST['ml_prepend'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/ml-prepend.txt")) {
			unlink("data/ml-prepend.txt");
		}
	}
}

if (isset($_REQUEST['ml_header']) and !empty($_REQUEST['ml_header']) and (file_get_contents("data/ml-header.txt") != $_REQUEST['ml_header'])) {
	$ml_header_write_content = ucfirst($_REQUEST['ml_header']);
	$ml_header_write_content = trim($ml_header_write_content);
	$fp_ml_header_txt = fopen("data/ml-header.txt","w");
	fwrite($fp_ml_header_txt,$ml_header_write_content);
	fclose($fp_ml_header_txt);
}

if (!isset($_REQUEST['ml_header']) or empty($_REQUEST['ml_header'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/ml-header.txt")) {
			unlink("data/ml-header.txt");
		}
	}
}

if (isset($_REQUEST['ml_footer']) and !empty($_REQUEST['ml_footer']) and (file_get_contents("data/ml-footer.txt") != $_REQUEST['ml_footer'])) {
	$ml_footer_write_content = ucfirst($_REQUEST['ml_footer']);
	$ml_footer_write_content = trim($ml_footer_write_content);
	$fp_ml_footer_txt = fopen("data/ml-footer.txt","w");
	fwrite($fp_ml_footer_txt,$ml_footer_write_content);
	fclose($fp_ml_footer_txt);
}

if (!isset($_REQUEST['ml_footer']) or empty($_REQUEST['ml_footer'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/ml-footer.txt")) {
			unlink("data/ml-footer.txt");
		}
	}
}

if (isset($_REQUEST['del_favicon']) and !empty($_REQUEST['del_favicon']) and ($_REQUEST['del_favicon'] == "on")) {
	if (file_exists("favicon.ico")) {
		unlink("favicon.ico");
	}
}

if (isset($_REQUEST['del_picture']) and !empty($_REQUEST['del_picture']) and ($_REQUEST['del_picture'] == "on")) {
	if (file_exists("images/profile.gif")) {
		unlink("images/profile.gif");
	}

	if (file_exists("images/profile.jpg")) {
		unlink("images/profile.jpg");
	}

	if (file_exists("images/profile.png")) {
		unlink("images/profile.png");
	}
}

if (isset($_REQUEST['del_avatar']) and !empty($_REQUEST['del_avatar']) and ($_REQUEST['del_avatar'] == "on")) {
	if (file_exists("images/avatar.gif")) {
		unlink("images/avatar.gif");
	}

	if (file_exists("images/avatar.jpg")) {
		unlink("images/avatar.jpg");
	}

	if (file_exists("images/avatar.png")) {
		unlink("images/avatar.png");
	}
}

if (isset($_REQUEST['bg_scroll']) and !empty($_REQUEST['bg_scroll']) and ($_REQUEST['bg_scroll'] == "on") and !file_exists("data/bg-scroll.txt")) {
	touch("data/bg-scroll.txt");
}

if (!isset($_REQUEST['bg_scroll']) or empty($_REQUEST['bg_scroll'])) {
	if (isset($_REQUEST['edit']) and ($_REQUEST['edit'] == "on")) {
		if (file_exists("data/bg-scroll.txt")) {
			unlink("data/bg-scroll.txt");
		}
	}
}

if (isset($_REQUEST['bg_repeat']) and !empty($_REQUEST['bg_repeat']) and (file_get_contents("data/bg-repeat.txt") != $_REQUEST['bg_repeat']) and ($_REQUEST['bg_repeat'] != "repeat")) {
	$fp_bg_repeat_txt = fopen("data/bg-repeat.txt","w");
	fwrite($fp_bg_repeat_txt,$_REQUEST['bg_repeat']);
	fclose($fp_bg_repeat_txt);
}

if (isset($_REQUEST['bg_repeat']) and !empty($_REQUEST['bg_repeat']) and (file_get_contents("data/bg-repeat.txt") != $_REQUEST['bg_repeat']) and ($_REQUEST['bg_repeat'] == "repeat") and file_exists("data/bg-repeat.txt")) {
	unlink("data/bg-repeat.txt");
}

if (isset($_REQUEST['bg_position']) and !empty($_REQUEST['bg_position']) and (file_get_contents("data/bg-position.txt") != $_REQUEST['bg_position']) and ($_REQUEST['bg_position'] != "top left")) {
	$fp_bg_position_txt = fopen("data/bg-position.txt","w");
	fwrite($fp_bg_position_txt,$_REQUEST['bg_position']);
	fclose($fp_bg_position_txt);
}

if (isset($_REQUEST['bg_position']) and !empty($_REQUEST['bg_position']) and (file_get_contents("data/bg-position.txt") != $_REQUEST['bg_position']) and ($_REQUEST['bg_position'] == "top left") and file_exists("data/bg-position.txt")) {
	unlink("data/bg-position.txt");
}

if (isset($_REQUEST['del_background']) and !empty($_REQUEST['del_background']) and ($_REQUEST['del_background'] == "on")) {
	if (file_exists("images/background.gif")) {
		unlink("images/background.gif");
	}

	if (file_exists("images/background.jpg")) {
		unlink("images/background.jpg");
	}

	if (file_exists("images/background.png")) {
		unlink("images/background.png");
	}

	if (file_exists("data/bg-scroll.txt")) {
		unlink("data/bg-scroll.txt");
	}

	if (file_exists("data/bg-repeat.txt")) {
		unlink("data/bg-repeat.txt");
	}

	if (file_exists("data/bg-position.txt")) {
		unlink("data/bg-position.txt");
	}
}

$max_image_size = 8000000;

if (isset($_FILES['favicon']) and !empty($_FILES['favicon'])) {

	if (is_uploaded_file($_FILES['favicon']['tmp_name'])) {

		if ($_FILES['favicon']['size']<=$max_image_size) {

			if ($_FILES['favicon']['name'] == "favicon.ico") {

				if (file_exists("favicon.ico")) {
					unlink("favicon.ico");
				}

				$res = copy($_FILES['favicon']['tmp_name'], "favicon.ico");
				unlink($_FILES['favicon']['tmp_name']);
			}
			else {
				unlink($_FILES['favicon']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['favicon']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['favicon']['tmp_name']);
	}
}

if (isset($_FILES['picture']) and !empty($_FILES['picture'])) {

	if (is_uploaded_file($_FILES['picture']['tmp_name'])) {

		if ($_FILES['picture']['size']<=$max_image_size) {

			if (($_FILES['picture']['type']=="image/gif") || ($_FILES['picture']['type']=="image/pjpeg") || ($_FILES['picture']['type']=="image/jpeg") || ($_FILES['picture']['type']=="image/png")) {

				if (!file_exists("images")) {
					mkdir("images");
				}

				if (file_exists("images/profile.gif")) {
					unlink("images/profile.gif");
				}

				if (file_exists("images/profile.jpg")) {
					unlink("images/profile.jpg");
				}

				if (file_exists("images/profile.png")) {
					unlink("images/profile.png");
				}

				if ($_FILES['picture']['type']=="image/gif") {
					$res = copy($_FILES['picture']['tmp_name'], "images/profile.gif");
					unlink($_FILES['picture']['tmp_name']);
				}

				if (($_FILES['picture']['type']=="image/jpeg") or ($_FILES['picture']['type']=="image/pjpeg")) {
					$res = copy($_FILES['picture']['tmp_name'], "images/profile.jpg");
					unlink($_FILES['picture']['tmp_name']);
				}

				if ($_FILES['picture']['type']=="image/png") {
					$res = copy($_FILES['picture']['tmp_name'], "images/profile.png");
					unlink($_FILES['picture']['tmp_name']);
				}
			}
			else {
				unlink($_FILES['picture']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['picture']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['picture']['tmp_name']);
	}
}

if (isset($_FILES['avatar']) and !empty($_FILES['avatar'])) {

	if (is_uploaded_file($_FILES['avatar']['tmp_name'])) {

		if ($_FILES['avatar']['size']<=$max_image_size) {

			if (($_FILES['avatar']['type']=="image/gif") || ($_FILES['avatar']['type']=="image/pjpeg") || ($_FILES['avatar']['type']=="image/jpeg") || ($_FILES['avatar']['type']=="image/png")) {

				if (!file_exists("images")) {
					mkdir("images");
				}

				if (file_exists("images/avatar.gif")) {
					unlink("images/avatar.gif");
				}

				if (file_exists("images/avatar.jpg")) {
					unlink("images/avatar.jpg");
				}

				if (file_exists("images/avatar.png")) {
					unlink("images/avatar.png");
				}

				if ($_FILES['avatar']['type']=="image/gif") {
					$res = copy($_FILES['avatar']['tmp_name'], "images/avatar.gif");
					unlink($_FILES['avatar']['tmp_name']);
				}

				if (($_FILES['avatar']['type']=="image/jpeg") or ($_FILES['avatar']['type']=="image/pjpeg")) {
					$res = copy($_FILES['avatar']['tmp_name'], "images/avatar.jpg");
					unlink($_FILES['avatar']['tmp_name']);
				}

				if ($_FILES['avatar']['type']=="image/png") {
					$res = copy($_FILES['avatar']['tmp_name'], "images/avatar.png");
					unlink($_FILES['avatar']['tmp_name']);
				}
			}
			else {
				unlink($_FILES['avatar']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['avatar']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['avatar']['tmp_name']);
	}
}

if (isset($_FILES['background']) and !empty($_FILES['background'])) {

	if (is_uploaded_file($_FILES['background']['tmp_name'])) {

		if ($_FILES['background']['size']<=$max_image_size) {

			if (($_FILES['background']['type']=="image/gif") || ($_FILES['background']['type']=="image/pjpeg") || ($_FILES['background']['type']=="image/jpeg") || ($_FILES['background']['type']=="image/png")) {

				if (!file_exists("images")) {
					mkdir("images");
				}

				if (file_exists("images/background.gif")) {
					unlink("images/background.gif");
				}

				if (file_exists("images/background.jpg")) {
					unlink("images/background.jpg");
				}

				if (file_exists("images/background.png")) {
					unlink("images/background.png");
				}

				if ($_FILES['background']['type']=="image/gif") {
					$res = copy($_FILES['background']['tmp_name'], "images/background.gif");
					unlink($_FILES['background']['tmp_name']);
				}

				if (($_FILES['background']['type']=="image/jpeg") or ($_FILES['background']['type']=="image/pjpeg")) {
					$res = copy($_FILES['background']['tmp_name'], "images/background.jpg");
					unlink($_FILES['background']['tmp_name']);
				}

				if ($_FILES['background']['type']=="image/png") {
					$res = copy($_FILES['background']['tmp_name'], "images/background.png");
					unlink($_FILES['background']['tmp_name']);
				}
			}
			else {
				unlink($_FILES['background']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['background']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['background']['tmp_name']);
	}
}

if (isset($_REQUEST['profile']) and !empty($_REQUEST['profile']) and (file_get_contents("data/profile.txt") != $_REQUEST['profile'])) {
	$profile_write_content = ucfirst($_REQUEST['profile']);
	$fp_profile_txt = fopen("data/profile.php","w");
	fwrite($fp_profile_txt,$profile_write_content);
	fclose($fp_profile_txt);
}

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and (file_get_contents("data/username.txt") != $_REQUEST['username'])) {
	$fp_username_txt = fopen("data/username.txt","w");
	fwrite($fp_username_txt,$_REQUEST['username']);
	fclose($fp_username_txt);
	$login_url = "http://" . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/login.php";
	$login_url = str_replace("//login.php", "/login.php", $login_url);
	header("Location: $login_url");
}

?>

<style>
body {
	color: #666666;
	margin: 10px;
	padding: 0px;
	text-align: left;
	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$font_body = file_get_contents("data/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	background-color: #FFFFFF;
}

p {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link, a:visited {
	color: #666666;
}

a:hover {
	color: #336699;
}

a:active {
	color: #336699;
}

.input { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 300px; 
	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$font_input = file_get_contents("data/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px 
}
</style>

<table border=0 cellspacing=1 cellpadding=2>
<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<input type=hidden name=edit value=on>
<tr><td><p>blog title*</p></td><td><input autocomplete=off class=input type=text name=title value="<?php readfile("data/title.txt"); ?>"></td></tr>
<tr><td><p>author*</p></td><td><input autocomplete=off class=input type=text name=author value="<?php readfile("data/author.txt"); ?>"></td></tr>
<tr><td><p>e-mail address*</p></td><td><input autocomplete=off class=input type=text name=email <?php if (file_exists("data/email.txt")) { echo 'value="'; readfile("data/email.txt"); } ?>"></td></tr>
<tr><td><p>username*</p></td><td><input autocomplete=off class=input type=text name=username value="<?php readfile("data/username.txt"); ?>"></td></tr>
<tr><td><p>entries per page</p></td><td><input autocomplete=off class=input type=text name=increase value="<?php readfile("data/increase.txt"); ?>"></td></tr>
<tr><td><p>timezone offset in seconds</p></td><td><input autocomplete=off class=input type=text name=offset value="<?php readfile("data/offset.txt"); ?>"></td></tr>
<tr><td><p>spread firefox <a href="http://www.spreadfirefox.com/?q=user/register&r=76458" target=_maj>affiliate</a> id</p></td><td><input autocomplete=off class=input type=text name=sfx value="<?php readfile("data/sfx.txt"); ?>"></td></tr>
<tr><td><p>ping on content change</p></td><td><input autocomplete=off class=input type=text name=ping value="<?php readfile("data/ping.txt"); ?>"></td></tr>
<tr><td rowspan=<?php
	if (file_exists("data/email.txt")) {
		echo "10";
	}
	else {
		echo "9";
	}
?>
><p>toggles</p></td><td><p><input type=checkbox name=nocomment <?php if (file_exists("data/nocomment.txt")) { echo checked; } ?>> Do not allow visitors to post comments.</p></td></tr>
<?php if (file_exists("data/email.txt")) { ?>
<tr><td><p><input type=checkbox name=nak <?php if (file_exists("data/nak.txt")) { echo checked; } ?>> Do not acknowledge comment submissions via e-mail.</p></td></tr>
<?php } ?>
<tr><td><p><input type=checkbox name=nopdf <?php if (file_exists("data/nopdf.txt")) { echo checked; } ?>> Do not allow PDF generation for all entries.</p></td></tr>
<tr><td><p><input type=checkbox name=xrand <?php if (file_exists("data/xrand.txt")) { echo checked; } ?>> Do not show random entries panel.</p></td></tr>
<tr><td><p><input type=checkbox name=xarc <?php if (file_exists("data/xarc.txt")) { echo checked; } ?>> Do not show archives panel.</p></td></tr>
<tr><td><p><input type=checkbox name=xcat <?php if (file_exists("data/xcat.txt")) { echo checked; } ?>> Do not show categories panel.</p></td></tr>
<tr><td><p><input type=checkbox name=nocat <?php if (file_exists("data/nocat.txt")) { echo checked; } ?>> Do not show categorized items with unfiled entries.</p></td></tr>
<tr><td><p><input type=checkbox name=round <?php if (file_exists("data/round.txt")) { echo checked; } ?>> Use round corners.</p></td></tr>
<tr><td><p><input type=checkbox name=center <?php if (file_exists("data/center.txt")) { echo checked; } ?>> Display <?php 

if (file_exists("data/bb.txt")) {
	echo "bulletin board";
}
else {
	echo "blog";
}

?> on center of page.</p></td></tr>
<tr><td><p><input type=checkbox name=old <?php if (file_exists("data/old.txt")) { echo checked; } ?>> Display entries from oldest to newest.</p></td></tr>
<?php 
if (file_exists("favicon.ico")) {
	echo '<tr><td></td><td><p><input type=checkbox name=del_favicon> Delete existing favicon.ico.</p></td></tr>';
}
if (file_exists("images/profile.gif") or file_exists("images/profile.jpg") or file_exists("images/profile.png")) {
	echo '<tr><td></td><td><p><input type=checkbox name=del_picture> Delete existing profile picture.</p></td></tr>';
}
if (file_exists("images/background.gif") or file_exists("images/background.jpg") or file_exists("images/background.png")) {
	echo '<tr><td></td><td><p><input type=checkbox name=del_background> Delete existing background image.</p></td></tr>';
	echo '<tr><td></td><td><p><input type=checkbox name=bg_scroll';
	if (file_exists("data/bg-scroll.txt")) {
		echo " checked";
	}
	echo '> Background image scrolls with the rest of the page.</p></td></tr>';
	echo '<tr><td rowspan=4><p>background repeat</td><td><p><input type="radio" name="bg_repeat" value="repeat"
  style="background : #FFFFFF; color : #666666"';
	if (!file_exists("data/bg-repeat.txt")) {
		echo ' checked';
	}
	echo '> Background image will be repeated vertically and horizontally.</p></td></tr>';
	echo '<tr><td><p><input type="radio" name="bg_repeat" value="repeat-x"
  style="background : #FFFFFF; color : #666666"';
	if (file_exists("data/bg-repeat.txt") and (file_get_contents("data/bg-repeat.txt") == "repeat-x")) {
		echo ' checked';
	}
	echo '> Background image will be repeated horizontally.</p></td></tr>';
	echo '<tr><td><p><input type="radio" name="bg_repeat" value="repeat-y"
  style="background : #FFFFFF; color : #666666"';
	if (file_exists("data/bg-repeat.txt") and (file_get_contents("data/bg-repeat.txt") == "repeat-y")) {
		echo ' checked';
	}
	echo '> Background image will be repeated vertically.</p></td></tr>';
	echo '<tr><td><p><input type="radio" name="bg_repeat" value="no-repeat"
  style="background : #FFFFFF; color : #666666"';
	if (file_exists("data/bg-repeat.txt") and (file_get_contents("data/bg-repeat.txt") == "no-repeat")) {
		echo ' checked';
	}
	echo '> Background image will be displayed only once.</p></td></tr>';

	if (file_exists("data/bg-repeat.txt")) {
		echo '<tr><td><p>background position</td><td>

<table border=0 cellspacing=1 cellpadding=1 bgcolor=#999999>
<tr><td bgcolor=#FFFFFF width=25% align=center><p>Position</p></td><td bgcolor=#FFFFFF width=25% align=center><p>Left</p></td><td bgcolor=#FFFFFF width=25% align=center><p>Center</p></td><td bgcolor=#FFFFFF width=25% align=center><p>Right</p></td></tr>
<tr><td bgcolor=#FFFFFF><p>Top</p></td>
<td bgcolor=#FFFFFF align=center>

<p><input type="radio" name="bg_position" value="top left" style="background : #FFFFFF; color : #666666"';
		if (!file_exists("data/bg-position.txt")) {
			echo ' checked';
		}
		echo '></p></td>';

		echo '<td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="top center" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "top center")) {
			echo ' checked';
		}
		echo '></p></td>';

		echo '<td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="top right" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "top right")) {
			echo ' checked';
		}
		echo '></p></td></tr>';

		echo '<tr><td bgcolor=#FFFFFF><p>Center</p></td><td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="center left" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "center left")) {
			echo ' checked';
		}
		echo '></p></td>';

		echo '<td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="center center" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "center center")) {
			echo ' checked';
		}
		echo '></p></td>';

		echo '<td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="center right" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "center right")) {
			echo ' checked';
		}
		echo '></p></td></tr>';

		echo '<tr><td bgcolor=#FFFFFF><p>Bottom</p></td><td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="bottom left" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "bottom left")) {
			echo ' checked';
		}
		echo '></p></td>';

		echo '<td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="bottom center" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "bottom center")) {
			echo ' checked';
		}
		echo '></p></td>';

		echo '<td bgcolor=#FFFFFF align=center><p><input type="radio" name="bg_position" value="bottom right" style="background : #FFFFFF; color : #666666"';
		if (file_exists("data/bg-position.txt") and (file_get_contents("data/bg-position.txt") == "bottom right")) {
			echo ' checked';
		}
		echo '></p></td></tr></table></td></tr>';
	}
}
?>
<tr><td><p>upload <a href=http://tools.dynamicdrive.com/favicon/ target=_maj>favicon.ico</a></p></td><td><input autocomplete=off type=file name=favicon></td></tr>
<tr><td><p>upload profile picture</p></td><td><input autocomplete=off type=file name=picture></td></tr>
<tr><td><p>upload background image</p></td><td><input autocomplete=off type=file name=background></td></tr>
<tr><td><p>profile*</p></td><td><textarea class=input name=profile rows=10><?php readfile("data/profile.php"); ?></textarea></td></tr>
<tr><td><p>current password</p></td><td><input autocomplete=off class=input type=password name=passwd_cur></td></tr>
<tr><td><p>new password</p></td><td><input autocomplete=off class=input type=password name=passwd_new></td></tr>
<tr><td><p>confirm new password</p></td><td><input autocomplete=off class=input type=password name=passwd_conf></td></tr>

<?php if (!file_exists("data/lite.txt")) { ?>

<tr><td><p>profanity filter</p></td><td><p><input type=checkbox name=pf <?php if (file_exists("data/pf.txt")) { echo checked; } ?>> Enable profanity filter.</p></td></tr>

<?php if (file_exists("data/pf.txt")) { ?>

<tr><td><p>badwords</p></td><td><p><textarea class=input name=pf_badwords><?php if (file_exists("data/pf-badwords.txt")) { echo str_replace("|","\n",file_get_contents("data/pf-badwords.txt")); } ?></textarea></p></td></tr>
<tr><td><p>censor mark</p></td><td><p><input class=input autocomplete=off type=text name=pf_censor <?php 
if (file_exists("data/pf-censor.txt")) {
	echo "value=";
	readfile("data/pf-censor.txt");
}

?>></p></td></tr>

<?php } ?>

<tr><td <?php if (file_exists("data/bb.txt") and !file_exists("images/avatar.jpg") and !file_exists("images/avatar.gif") and !file_exists("images/avatar.png")) { echo "rowspan=10"; } if (file_exists("data/bb.txt") and (file_exists("images/avatar.jpg") or file_exists("images/avatar.gif") or file_exists("images/avatar.png"))) { echo "rowspan=11"; } ?>><p>bulletin board</p></td><td><p><input type=checkbox name=bb <?php if (file_exists("data/bb.txt")) { echo checked; } ?>> Enable simple bulletin board.</p></td></tr>
<?php if (file_exists("data/bb.txt")) { ?>
<tr><td><p><input type=checkbox name=reg <?php if (file_exists("data/reg.txt")) { echo checked; } ?>> Enable new user registration.</p></td></tr>
<tr><td><p><input type=checkbox name=xapp <?php if (file_exists("data/xapp.txt")) { echo checked; } ?>> Enable automatic activation of confirmed users.</p></td></tr>
<tr><td><p><input type=checkbox name=reset <?php if (file_exists("data/reset.txt")) { echo checked; } ?>> Enable password reset requests.</p></td></tr>
<tr><td><p><input type=checkbox name=member <?php if (file_exists("data/member.txt")) { echo checked; } ?>> Only members can view posts of other members.</p></td></tr>
<tr><td><p><input type=checkbox name=stats <?php if (file_exists("data/bb-stats.txt")) { echo checked; } ?>> Enable statistics panel.</p></td></tr>
<tr><td><p><input type=checkbox name=summary <?php if (file_exists("data/bb-summary.txt")) { echo checked; } ?>> Enable summary panel.</p></td></tr>
<tr><td><p><input type=checkbox name=rank <?php if (file_exists("data/rank.txt")) { echo checked; } ?>> Enable ranks.</p></td></tr>
<tr><td><p><input type=checkbox name=sigs <?php if (file_exists("data/bb-sig.txt")) { echo checked; } ?>> Enable signatures.</p></td></tr>
<tr><td><p><input type=checkbox name=avatars <?php if (file_exists("data/avatar.txt")) { echo checked; } ?>> Enable avatars.</p></td></tr>

<?php
if (file_exists("images/avatar.gif") or file_exists("images/avatar.jpg") or file_exists("images/avatar.png")) {
	echo '<tr><td><p><input type=checkbox name=del_avatar> Delete existing avatar.</p></td></tr>';
}
?>

<tr><td><p>upload avatar</p></td><td><input autocomplete=off type=file name=avatar></td></tr>

<?php if (file_exists("data/bb.txt") and file_exists("data/bb-sig.txt")) { ?>
<tr><td><p>signature</p></td><td><textarea class=input name=sig><?php if (file_exists("data/sig.txt")) { 

	$get_sig = file_get_contents("data/sig.txt");
	$get_sig = str_replace("<b>","[b]",$get_sig);
	$get_sig = str_replace("</b>","[/b]",$get_sig);
	$get_sig = str_replace("<i>","[i]",$get_sig);
	$get_sig = str_replace("</i>","[/i]",$get_sig);
	$get_sig = str_replace("<u>","[u]",$get_sig);
	$get_sig = str_replace("</u>","[/u]",$get_sig);
	$get_sig = str_replace("<sup>","[sup]",$get_sig);
	$get_sig = str_replace("</sup>","[/sup]",$get_sig);
	$get_sig = str_replace("<sub>","[sub]",$get_sig);
	$get_sig = str_replace("</sub>","[/sub]",$get_sig);
	$get_sig = str_replace("<strike>","[strike]",$get_sig);
	$get_sig = str_replace("</strike>","[/strike]",$get_sig);
	$get_sig = str_replace("<br>","\n",$get_sig);
	echo $get_sig;

} ?></textarea></td></tr>
<?php } ?>

<tr><td><p>minimum password length</p></td><td><input class=input autocomplete=off type=text name=pass_len <?php 
if (file_exists("data/bb-passlen.txt")) {
	echo "value=";
	readfile("data/bb-passlen.txt");
}

?>></td></tr>

<tr><td><p>minimum age to register</p></td><td><input class=input autocomplete=off type=text name=min_age <?php 
if (file_exists("data/bb-min-age.txt")) {
	echo "value=";
	readfile("data/bb-min-age.txt");
}

?>></td></tr>

<tr><td><p>maximum age to register</p></td><td><input class=input autocomplete=off type=text name=max_age <?php 
if (file_exists("data/bb-max-age.txt")) {
	echo "value=";
	readfile("data/bb-max-age.txt");
}

?>></td></tr>

<tr><td><p>maximum idle time in minutes</p></td><td><input class=input autocomplete=off type=text name=bb_idle <?php 
if (file_exists("data/bb-idle.txt")) {
	echo "value=";
	readfile("data/bb-idle.txt");
}
?>></td></tr>

<tr><td><p>reserved usernames</p></td><td><textarea class=input name=bb_reserved><?php if (file_exists("data/bb-reserved.txt")) { readfile("data/bb-reserved.txt"); } ?></textarea></td></tr>

<tr><td><p>disclaimer</p></td><td><textarea class=input name=bb_disclaimer><?php if (file_exists("data/bb-disclaimer.txt")) { echo str_replace("<br>","\n",file_get_contents("data/bb-disclaimer.txt")); } ?></textarea></td></tr>

<?php } ?>


<tr><td><p>mailing list</p></td><td><p><input type=checkbox name=ml <?php if (file_exists("data/ml.txt")) { echo checked; } ?>> Enable simple mailing list.</p></td></tr>

<?php if (file_exists("data/ml.txt")) { ?>

<tr><td><p>reply-to</p></td><td><input class=input autocomplete=off type=text name=ml_reply2 <?php if (file_exists("data/ml-reply2.txt")) { echo "value=\""; readfile("data/ml-reply2.txt"); echo "\""; } ?>></td></tr>
<tr><td><p>prepend to subject</p></td><td><input class=input autocomplete=off type=text name=ml_prepend <?php if (file_exists("data/ml-prepend.txt")) { echo "value=\""; readfile("data/ml-prepend.txt"); echo "\""; } ?>></td></tr>
<tr><td><p>header</p></td><td><textarea class=input name=ml_header><?php if (file_exists("data/ml-header.txt")) { readfile("data/ml-header.txt"); } ?></textarea></td></tr>
<tr><td><p>footer</p></td><td><textarea class=input name=ml_footer><?php if (file_exists("data/ml-footer.txt")) { readfile("data/ml-footer.txt"); } ?></textarea></td></tr>

<?php } } ?>
	

<tr><td></td><td><input class=input type=submit value="click here to activate new settings"></td></tr>
<?php

if (isset($_REQUEST['passwd_new']) and !empty($_REQUEST['passwd_new']) and isset($_REQUEST['passwd_cur']) and !empty($_REQUEST['passwd_cur']) and isset($_REQUEST['passwd_conf']) and !empty($_REQUEST['passwd_conf']) and ($_REQUEST['passwd_new'] == $_REQUEST['passwd_conf'])) {
	$passwd_new_crypt = sha1($_REQUEST['passwd_new']);
	$passwd_new_crypt = md5($passwd_new_crypt);
	$passwd_new_crypt = crypt($passwd_new_crypt, $passwd_new_crypt);
	$passwd_cur_crypt = sha1($_REQUEST['passwd_cur']);
	$passwd_cur_crypt = md5($passwd_cur_crypt);
	$passwd_cur_crypt = crypt($passwd_cur_crypt, $passwd_cur_crypt);

	if ((file_get_contents("data/password.txt") != $passwd_new_crypt) and (file_get_contents("data/password.txt") == $passwd_cur_crypt)) {

		$fp_passwd_new_txt = fopen("data/password.txt","w");
		fwrite($fp_passwd_new_txt,$passwd_new_crypt);
		fclose($fp_passwd_new_txt);
		echo "<tr><td></td><td><p>password changed</p></td></tr>";
	}
}

?>
</form>
<form enctype="multipart/form-data" action="<?php echo 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']); ?>" method="post">
<tr><td></td><td><input class=input type=submit value="click here to go to the index page"></td></tr>
</form>
</table>
