<?php
session_start();
header("Cache-control: private");

error_reporting(E_ERROR);

if (get_magic_quotes_gpc()) {
	function stripslashes_array($data) {
		if (is_array($data)){
			 foreach ($data as $key => $value){
				  $data[$key] = stripslashes_array($value);
			 }
			 return $data;
		}
		else{
			 return stripslashes($data);
		}
	}

	$_REQUEST = stripslashes_array($_REQUEST);
}

$login_username = file_get_contents("data/username.txt");

function rmdirr($recurse_dirname) {

    if (!file_exists($recurse_dirname)) {
        return false;
    }

    if (is_file($recurse_dirname)) {
        return unlink($recurse_dirname);
    }

    $recurse_dir = dir($recurse_dirname);
    while (false !== $recurse_entry = $recurse_dir->read()) {

        if ($recurse_entry == '.' || $recurse_entry == '..') {
            continue;
        }

        rmdirr("$recurse_dirname/$recurse_entry");
    }

    $recurse_dir->close();
    return rmdir($recurse_dirname);
}

if (isset($_REQUEST['title_input']) and isset($_REQUEST['body_input'])) {
	header("Location: http://" . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] . "?entry=" . $_REQUEST['entry']);
}

if (!isset($_REQUEST['entry'])) {
	exit();
}

if (!isset($_SESSION['logged_in']) or ($_SESSION['logged_in'] != $login_username)) {
	exit();
}

$title_file = 'data/items/' . $_REQUEST['entry'] . '/title.txt';
$body_file = 'data/items/' . $_REQUEST['entry'] . '/body.txt';
$date_file = 'data/items/' . $_REQUEST['entry'] . '/date.txt';
$img_file = 'data/items/' . $_REQUEST['entry'] . '/image.txt';
$revisions_file = 'data/items/' . $_REQUEST['entry'] . '/revisions.txt';

$image_path = "images/";
$max_image_size = 8000000;
$max_file_size = 8000000;

if (file_exists("data/items/{$_REQUEST['entry']}/category.txt")) {
	$category_check = 'data/categories/' . file_get_contents("data/items/{$_REQUEST['entry']}/category.txt");
	if (!file_exists($category_check)) {
		unlink("data/items/{$_REQUEST['entry']}/category.txt");
	}
}

?>

<style>
body {
	color: #666666;
	margin: 10px;
	padding: 0px;
	text-align: left;
	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$font_body = file_get_contents("data/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	background-color: #ffffff;
}

p, td {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link, a:visited {
	color: #666666;
}

a:hover {
	color: #336699;
}

a:active {
	color: #336699;
}

.input_title { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 525px; 
	font-family: <?php
				if (file_exists("data/fonts/panel-title.txt")) {
					$font_panel_title = file_get_contents("data/fonts/panel-title.txt");
					echo "{$font_panel_title},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	font-weight: bold
}

.input_body { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 525px; 
	font-family: <?php
				if (file_exists("data/fonts/panel-body.txt")) {
					$font_panel_body = file_get_contents("data/fonts/panel-body.txt");
					echo "{$font_panel_body},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px 
}

#panel_title {
	font-family: <?php
				if (file_exists("data/fonts/panel-title.txt")) {
					$font_panel_title = file_get_contents("data/fonts/panel-title.txt");
					echo "{$font_panel_title},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
	color: #666666;
	padding: 5px 5px 5px 5px;
	background-color: #ffffff;
	margin: 0px;
	border-color: #CCCCCC;
	border-width: 1px 1px 0px 1px;
	border-style: solid solid none solid;
}

#panel_body {
	font-family: <?php
				if (file_exists("data/fonts/panel-body.txt")) {
					$font_panel_body = file_get_contents("data/fonts/panel-body.txt");
					echo "{$font_panel_body},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	color: #666666;
	padding: 5px 5px 5px 5px;
	background-color: #ffffff;
	margin: 0px;
	border-color: #CCCCCC;
	border-width: 1px 1px 1px 1px;
	border-style: solid solid solid solid;
}

#panel_footer {
	font-family: <?php
				if (file_exists("data/fonts/panel-footer.txt")) {
					$font_panel_footer = file_get_contents("data/fonts/panel-footer.txt");
					echo "{$font_panel_footer},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	color: #666666;
	padding: 5px 5px 5px 5px;
	background-color: #ffffff;
	margin: 0px;
	border-color: #CCCCCC;
	border-width: 0px 1px 1px 1px;
	border-style: none solid solid solid;
}
</style>

<?php

if (isset($_REQUEST['comment']) and !empty($_REQUEST['comment']) and isset($_REQUEST['comment_txt']) and !empty($_REQUEST['comment_txt']) and isset($_REQUEST['type']) and !empty($_REQUEST['type']) and (($_REQUEST['type'] == "live") or ($_REQUEST['type'] == "pending"))) {

	$comment_txt = ucfirst($_REQUEST['comment_txt']);
	//$comment_txt = htmlentities($comment_txt, ENT_NOQUOTES);
	// $comment_txt = str_replace('href=', 'target=_maj href=', $comment_txt);
	$comment_txt = str_replace("\n", '<br />', $comment_txt);
	$comment_txt = str_replace(':((', '<img src=images/smileys/crying.png border=0>', $comment_txt);
	$comment_txt = str_replace(':(', '<img src=images/smileys/frown.png border=0>', $comment_txt);
	$comment_txt = str_replace(':|', '<img src=images/smileys/indifferent.png border=0>', $comment_txt);
	$comment_txt = str_replace(':D', '<img src=images/smileys/laughing.png border=0>', $comment_txt);
	$comment_txt = str_replace(':P', '<img src=images/smileys/lick.png border=0>', $comment_txt);
	$comment_txt = str_replace(':O', '<img src=images/smileys/ohno.png border=0>', $comment_txt);
	$comment_txt = str_replace(':)', '<img src=images/smileys/smile.png border=0>', $comment_txt);
	$comment_txt = str_replace('=)', '<img src=images/smileys/surprised.png border=0>', $comment_txt);
	$comment_txt = str_replace(':\\', '<img src=images/smileys/undecided.png border=0>', $comment_txt);
	$comment_txt = str_replace(';)', '<img src=images/smileys/wink.png border=0>', $comment_txt);
	$comment_txt_file = "data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/comment.txt";
	$open_comment_txt_file = fopen($comment_txt_file,"w");
	fwrite($open_comment_txt_file,$comment_txt);
	fclose($open_comment_txt_file);

	$comment_revisions_file = "data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/revisions.txt";
	$fp_comment_revisions_file = fopen($comment_revisions_file, "r");
	$comment_revisions_count = fread($fp_comment_revisions_file, filesize($comment_revisions_file));
	fclose($fp_comment_revisions_file);
	$comment_revisions_count = $comment_revisions_count + 1;
	$fp_comment_revisions_file = fopen($comment_revisions_file, "w");
	fwrite($fp_comment_revisions_file, $comment_revisions_count);
	fclose($fp_comment_revisions_file);

}

if (isset($_REQUEST['comment']) and !empty($_REQUEST['comment']) and isset($_REQUEST['type']) and !empty($_REQUEST['type']) and (($_REQUEST['type'] == "live") or ($_REQUEST['type'] == "pending"))) { 

	if (!file_exists("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}")) {
		exit();
	}

?>
	<p><table border=0 cellspacing=0 cellpadding=0 bgcolor=#CCCCCC><tr><td width=525>
	<div id=panel_title><?php readfile("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/firstname.txt"); ?>&nbsp;<?php readfile("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/lastname.txt"); ?>&nbsp;&lt;<?php readfile("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/email.txt"); ?>&gt;</div>
	<div id=panel_body><?php readfile("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/comment.txt"); ?></div>
	<div id=panel_footer><font style="font-size: 10px; color: #999999;">
	<?php
		readfile("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/timestamp.txt");
		if (file_exists("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/revisions.txt")) {
			echo " (Revision ";
			readfile("data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/revisions.txt");
			echo ")";
		}
	?>
	</font></div>
	</td></tr></table></p>

	<p><table border=0 cellspacing=2 cellpadding=0>
	<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
	<tr><td><textarea class=input_body name=comment_txt rows=10><?php 

	$comment_txt_file = "data/items/{$_REQUEST['entry']}/comments/{$_REQUEST['type']}/{$_REQUEST['comment']}/comment.txt";
	$open_comment_txt_file = fopen($comment_txt_file,"r");
	$read_comment_txt_file = fread($open_comment_txt_file,filesize($comment_txt_file));
	fclose($open_comment_txt_file);

	$comment_smiley2emoticon = str_replace('<br />', "\n", $read_comment_txt_file);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/crying.png border=0>', ':((', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/frown.png border=0>', ':(', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/indifferent.png border=0>', ':|', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/laughing.png border=0>', ':D', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/lick.png border=0>', ':P', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/ohno.png border=0>', ':O', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/smile.png border=0>', ':)', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/surprised.png border=0>', '=)', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/undecided.png border=0>', ':\\', $comment_smiley2emoticon);

	$comment_smiley2emoticon = str_replace('<img src=images/smileys/wink.png border=0>', ';)', $comment_smiley2emoticon);

	echo $comment_smiley2emoticon;

	?></textarea></td></tr>
	<tr><td><input type=hidden name=entry value="<?php echo $_REQUEST['entry']; ?>"></td></tr>
	<tr><td><input type=hidden name=comment value="<?php echo $_REQUEST['comment']; ?>"></td></tr>
	<tr><td><input type=hidden name=type value="<?php echo $_REQUEST['type']; ?>"></td></tr>
	<tr><td><input class=input_body type=submit value="click here to update this comment"></td></tr>
	</form>

	<form enctype="multipart/form-data" action="index.php?entry=<?php echo $_REQUEST['entry']; ?>&show=comments" method="post">
	<tr><td><input class=input_body type=submit value="click here to view posted entry"></td></tr>
	</form>

	<form enctype="multipart/form-data" action="<?php echo 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']); ?>" method="post">
	<tr><td><input class=input_body type=submit value="click here to go to the index page"></td></tr>
	</form>
	</table></p>

<?php
	exit();
}

?>

<p><table border=0 cellspacing=0 cellpadding=0 bgcolor=#CCCCCC><tr><td width=525>

<div id=panel_title><?php readfile($title_file); ?></div>
<div id=panel_body><table border=0 cellspacing=0 cellpadding=0><tr><td><p><?php readfile($body_file); ?></p></td></tr></table></div>
<div id=panel_footer><font style="font-size: 10px; color: #999999;"><?php 

if (file_exists("data/items/{$_REQUEST['entry']}/author.txt")) {
	readfile("data/items/{$_REQUEST['entry']}/author.txt");
	echo " - ";
}

readfile($date_file);

if (file_exists($revisions_file)) {
		echo ' (Revision ';
		readfile($revisions_file);
		echo " - ";
		echo date("l, M j, Y, g:i A", filemtime("data/items/{$_REQUEST['entry']}/body.txt"));
		echo ')';
}

if (file_exists("data/items/{$_REQUEST['entry']}/category.txt")) {
	echo ' Filed under ';
	$category_key = file_get_contents("data/items/{$_REQUEST['entry']}/category.txt");
	$category_key = strtolower($category_key);
	if (file_exists("data/categories/{$category_key}/title.txt")) {
		$category_dsp = file_get_contents("data/categories/{$category_key}/title.txt");
		echo "$category_key ($category_dsp)";
	}
	else {
		echo "$category_key";
	}
}

?></font></div>
</td></tr></table></p>

<p>
<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<p><input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_image_size; ?>">
<input autocomplete=off type=file name=album_image_input> Upload optional album image. Enter optional caption below.</p>
<p><input autocomplete=off type=text name=caption class=input_body></p>
<p><input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_file_size; ?>">
<input autocomplete=off type=file name=entry_image_input> Upload optional entry image.</p>
<p><input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_file_size; ?>">
<input autocomplete=off type=file name=file_input> Upload optional file.</p>
<p><input autocomplete=off type=password name=passwd <?php

if (file_exists("data/items/{$_REQUEST['entry']}/passwd.txt")) {
	echo "value=password";
}
?>

> <?php 

if (file_exists("data/items/{$_REQUEST['entry']}/passwd.txt")) {
	echo "Enter new password or clear field to disable password protection.";
}
else {
	echo "Enter optional password.";
}
?></p>

<?php
	if (file_exists("data/categories")) {
		if ($dh_cat = opendir("data/categories")) {
			while (($entry_cat = readdir($dh_cat)) !== false) {

				if ($entry_cat != "." && $entry_cat != ".." && fnmatch("*", $entry_cat)) {
					$show_cat[] = $entry_cat;
				}
			}
			closedir($dh_cat);
		}

		sort($show_cat);
		reset($show_cat);
		$count_cat = count($show_cat);

		if ($count_cat > 0) {

			echo "<p><select name=category><option selected>";
			if (file_exists("data/items/{$_REQUEST['entry']}/category.txt")) {
				readfile("data/items/{$_REQUEST['entry']}/category.txt");
				echo '<option>unfiled';
			}
			else {
				echo "unfiled";
			}


			foreach ($show_cat as $category) {
				echo "<option>";
				echo strtolower($category);
			}

			echo "</select> Select category.</p>";

		}
	}
?>
<p><input type=checkbox name=sticky <?php $sticky_sem = 'data/sticky/' . $_REQUEST['entry']; if (file_exists($sticky_sem)) { echo checked; } ?>>Put entry title in Quick Links box.<br>
<input type=checkbox name=pdf <?php if (file_exists("data/items/{$_REQUEST['entry']}/pdf/file")) { echo checked; } ?>>Allow PDF generation for this entry.<br>
<input type=checkbox name=display <?php $display_sem = "data/items/{$_REQUEST['entry']}/cat.txt"; if (file_exists($display_sem)) { echo checked; } ?>>Always display. If this is not a private entry, it will be displayed even if its category is hidden or isolated.<br>
<input type=checkbox name=private <?php $private_sem = "data/items/{$_REQUEST['entry']}/private.txt"; if (file_exists($private_sem)) { echo checked; } ?>>Private entry. This entry will unconditionally be invisible to visitors<?php if (file_exists("data/ml.txt")) { echo " and to the mailing list"; } ?>, even if always display is set.

<?php if (file_exists("data/bb.txt")) { ?>
<br>
<input type=checkbox name=member <?php $member_sem = "data/items/{$_REQUEST['entry']}/member.txt"; if (file_exists($member_sem)) { echo checked; } ?>>Only registered members can view this entry.

<?php } ?>

<br><input type=checkbox name=lastmod <?php $lastmod_sem = "data/items/{$_REQUEST['entry']}/lastmod.txt"; if (file_exists($lastmod_sem)) { echo checked; } ?>>Display last modification date and time.

</p>
<input type=hidden name=entry value="<?php echo $_REQUEST['entry']; ?>">

<table border=0 cellspacing=0 cellpadding=0><tr><td>

<table border=0 cellspacing=2 cellpadding=0>
<tr><td><input autocomplete=off class=input_title type=text name=title_input value="<?php readfile($title_file); ?>"></td></tr>
<tr><td><textarea class=input_body name=body_input rows=15>
<?php 

$open_body_file = fopen($body_file,"r");
$read_body_file = fread($open_body_file,filesize($body_file));
fclose($open_body_file);

$body_read_content = str_replace('<br />', "\n", $read_body_file);
$body_read_content = str_replace('<img src=images/smileys/crying.png border=0>', ':((', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/frown.png border=0>', ':(', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/indifferent.png border=0>', ':|', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/laughing.png border=0>', ':D', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/lick.png border=0>', ':P', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/ohno.png border=0>', ':O', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/smile.png border=0>', ':)', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/surprised.png border=0>', '=)', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/undecided.png border=0>', ':\\', $body_read_content);
$body_read_content = str_replace('<img src=images/smileys/wink.png border=0>', ';)', $body_read_content);
$body_read_content = str_replace('<!-- html -->', '<html>', $body_read_content);
$body_read_content = str_replace('<!-- /html -->', '</html>', $body_read_content);
$body_read_content = str_replace('<span style="background-color: #ffff00;">', '<highlight>', $body_read_content);
$body_read_content = str_replace('</span>', '</highlight>', $body_read_content);

echo $body_read_content;

?>
</textarea></td></tr>
<tr><td><input class=input_body type=submit value="click here to update this entry"></td></tr>
</form>

<form enctype="multipart/form-data" action="index.php?entry=<?php echo $_REQUEST['entry']; ?>" method="post">
<tr><td><input class=input_body type=submit value="click here to view posted entry"></td></tr>
</form>

<form enctype="multipart/form-data" action="<?php echo 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']); ?>" method="post">
<tr><td><input class=input_body type=submit value="click here to go to the index page"></td></tr>
</form>

</table>

</td><td width=10></td><td>

<table border=0 cellspacing=1 cellpadding=2>
<tr><td><img src=images/smileys/crying.png border=0></td><td><p>:((</p></td><td ><p>crying</p></td></tr>
<tr><td><img src=images/smileys/frown.png border=0></td><td><p>:(</p></td><td><p>frown</p></td></tr>
<tr><td><img src=images/smileys/indifferent.png border=0></td><td><p>:|</p></td><td><p>indifferent</p></td></tr>
<tr><td><img src=images/smileys/laughing.png border=0></td><td><p>:D</p></td><td><p>laughing</p></td></tr>
<tr><td><img src=images/smileys/lick.png border=0></td><td><p>:P</p></td><td><p>lick</p></td></tr>
<tr><td><img src=images/smileys/ohno.png border=0></td><td><p>:O</p></td><td><p>oh no!</p></td></tr>
<tr><td><img src=images/smileys/smile.png border=0></td><td><p>:)</p></td><td><p>smile</p></td></tr>
<tr><td><img src=images/smileys/surprised.png border=0></td><td><p>=)</p></td><td><p>surprised</p></td></tr>
<tr><td><img src=images/smileys/undecided.png border=0></td><td><p>:\</p></td><td><p>undecided</p></td></tr>
<tr><td><img src=images/smileys/wink.png border=0></td><td><p>;)</p></td><td><p>wink</p></td></tr>
</td></tr>
</table>

</td></tr></table>


<?php
if (!isset($_REQUEST['title_input']) or !isset($_REQUEST['body_input']) or empty($_REQUEST['title_input']) or empty($_REQUEST['body_input'])) {
	exit();
}

$title_write_content = ucfirst($_REQUEST['title_input']);
$title_write_content = str_replace('<','&lt;',$title_write_content);
$title_write_content = str_replace('>','&gt;',$title_write_content);
$open_title_file = fopen($title_file,"w");
fwrite($open_title_file,$title_write_content);
fclose($open_title_file);

function reformat_html($defang_html) {
	$store_html=split("<html>",$defang_html);
	$defang_html="";
	$defang_html.=$store_html[0];
	foreach($store_html as $itm_html=>$refh_html) {
		if(eregi("</html>",$refh_html)) {
			$store_html1=split("</html>",$refh_html);
			$store_html1[0]=eregi_replace("\n","",$store_html1[0]);
			foreach($store_html1 as $itm_html1=>$refh_html1) {
				if($itm_html1==0)
					$refh_html1="<!-- html -->$refh_html1<!-- /html -->";
					$defang_html.=$refh_html1;
				}
			}
		}
	return $defang_html;
}

function reformat_code($defang_code) {
	$store_code=split("<code>",$defang_code);
	$defang_code="";
	$defang_code.=$store_code[0];
	foreach($store_code as $itm_code=>$refh_code) {
		if(eregi("</code>",$refh_code)) {
			$store_code1=split("</code>",$refh_code);
			$store_code1[0] = eregi_replace('<img src=images/smileys/crying.png border=0>',':((',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/frown.png border=0>',':(',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/indifferent.png border=0>',':|',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/laughing.png border=0>',':D',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/lick.png border=0>',':P',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/ohno.png border=0>',':O',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/smile.png border=0>',':)',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/surprised.png border=0>','=)',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/undecided.png border=0>',':\\',$store_code1[0]);
			$store_code1[0] = eregi_replace('<img src=images/smileys/wink.png border=0>',';)',$store_code1[0]);
			$store_code1[0]=htmlentities($store_code1[0],ENT_NOQUOTES);
			foreach($store_code1 as $itm_code1=>$refh_code1) {
				if($itm_code1==0)
					$refh_code1="<code>$refh_code1</code>";
					$defang_code.=$refh_code1;
				}
			}
		}
	return $defang_code;
}

$body_write_content = ucfirst($_REQUEST['body_input']);
$body_write_content = str_replace("[html]", '<html>', $body_write_content);
$body_write_content = str_replace("[/html]", '</html>', $body_write_content);
$body_write_content = reformat_html($body_write_content);
$body_write_content = str_replace(':((', '<img src=images/smileys/crying.png border=0>', $body_write_content);
$body_write_content = str_replace(':(', '<img src=images/smileys/frown.png border=0>', $body_write_content);
$body_write_content = str_replace(':|', '<img src=images/smileys/indifferent.png border=0>', $body_write_content);
$body_write_content = str_replace(':D', '<img src=images/smileys/laughing.png border=0>', $body_write_content);
$body_write_content = str_replace(':P', '<img src=images/smileys/lick.png border=0>', $body_write_content);
$body_write_content = str_replace(':O', '<img src=images/smileys/ohno.png border=0>', $body_write_content);
$body_write_content = str_replace(':)', '<img src=images/smileys/smile.png border=0>', $body_write_content);
$body_write_content = str_replace('=)', '<img src=images/smileys/surprised.png border=0>', $body_write_content);
$body_write_content = str_replace(':\\', '<img src=images/smileys/undecided.png border=0>', $body_write_content);
$body_write_content = str_replace(';)', '<img src=images/smileys/wink.png border=0>', $body_write_content);
$body_write_content = str_replace('[code]', '<code>', $body_write_content);
$body_write_content = str_replace('[/code]', '</code>', $body_write_content);
$body_write_content = reformat_code($body_write_content);
$body_write_content = str_replace("\n", '<br />', $body_write_content);
$body_write_content = str_replace('[b]', '<b>', $body_write_content);
$body_write_content = str_replace('[/b]', '</b>', $body_write_content);
$body_write_content = str_replace('[i]', '<i>', $body_write_content);
$body_write_content = str_replace('[/i]', '</i>', $body_write_content);
$body_write_content = str_replace('[u]', '<u>', $body_write_content);
$body_write_content = str_replace('[/u]', '</u>', $body_write_content);
$body_write_content = str_replace('[strike]', '<strike>', $body_write_content);
$body_write_content = str_replace('[/strike]', '</strike>', $body_write_content);
$body_write_content = str_replace('[sup]', '<sup>', $body_write_content);
$body_write_content = str_replace('[/sup]', '</sup>', $body_write_content);
$body_write_content = str_replace('[sub]', '<sub>', $body_write_content);
$body_write_content = str_replace('[/sub]', '</sub>', $body_write_content);
$body_write_content = str_replace('[highlight]', '<highlight>', $body_write_content);
$body_write_content = str_replace('[/highlight]', '</highlight>', $body_write_content);
$body_write_content = str_replace('<highlight>', '<span style="background-color: #ffff00;">', $body_write_content);
$body_write_content = str_replace('</highlight>', '</span>', $body_write_content);
$body_write_content =  preg_replace("/<([_\.0-9a-z-]+)@([0-9a-z][0-9a-z-]+)\.([_\.0-9a-z-]+)>/", '&lt;$1@$2.$3&gt;',$body_write_content);

$fp_revisions_file = fopen($revisions_file, "r");
$revisions_count = fread($fp_revisions_file, filesize($revisions_file));
fclose($fp_revisions_file);
$revisions_count = $revisions_count + 1;
$fp_revisions_file = fopen($revisions_file, "w");
fwrite($fp_revisions_file, $revisions_count);
fclose($fp_revisions_file);

if (isset($_FILES['album_image_input']) and !empty($_FILES['album_image_input'])) {

	if (is_uploaded_file($_FILES['album_image_input']['tmp_name'])) {

		if ($_FILES['album_image_input']['size']<=$max_image_size) {

			if (($_FILES['album_image_input']['type']=="image/gif") || ($_FILES['album_image_input']['type']=="image/pjpeg") || ($_FILES['album_image_input']['type']=="image/jpeg") || ($_FILES['album_image_input']['type']=="image/png")) {

				if (!file_exists($image_path . $_REQUEST['entry'] . '/album/' . $_FILES['album_image_input']['name'])) {

					$image_dir = $image_path . $_REQUEST['entry'];
					if (!file_exists($image_dir)) {
						mkdir($image_dir);
					}
					$album_dir = $image_path . $_REQUEST['entry'] . '/album';
					if (!file_exists($album_dir)) {
						mkdir($album_dir);
					}
					$album_sem = 'data/albums/' . $_REQUEST['entry'];
					if (!file_exists("data/albums")) {
						mkdir("data/albums");
					}
					if (!file_exists($album_sem)) {
						mkdir($album_sem);
					}
					if (isset($_REQUEST['caption']) and !empty($_REQUEST['caption'])) {
						$album_data_dir = 'data/items/' . $_REQUEST['entry'] . '/album';
						if (!file_exists($album_data_dir)) {
							mkdir($album_data_dir);
						}
						$caption_dir = 'data/items/' . $_REQUEST['entry'] . '/album/captions';
						if (!file_exists($caption_dir)) {
							mkdir($caption_dir);
						}
						$caption_file = 'data/items/' . $_REQUEST['entry'] . '/album/captions/' . $_FILES['album_image_input']['name'] . '.txt';
						if (!file_exists($caption_file)) {
							$caption_txt = ucfirst($_REQUEST['caption']);
							$caption_txt = str_replace(':((', '<img src=images/smileys/crying.png border=0>', $caption_txt);
							$caption_txt = str_replace(':(', '<img src=images/smileys/frown.png border=0>', $caption_txt);
							$caption_txt = str_replace(':|', '<img src=images/smileys/indifferent.png border=0>', $caption_txt);
							$caption_txt = str_replace(':D', '<img src=images/smileys/laughing.png border=0>', $caption_txt);
							$caption_txt = str_replace(':P', '<img src=images/smileys/lick.png border=0>', $caption_txt);
							$caption_txt = str_replace(':O', '<img src=images/smileys/ohno.png border=0>', $caption_txt);
							$caption_txt = str_replace(':)', '<img src=images/smileys/smile.png border=0>', $caption_txt);
							$caption_txt = str_replace('=)', '<img src=images/smileys/surprised.png border=0>', $caption_txt);
							$caption_txt = str_replace(':\\', '<img src=images/smileys/undecided.png border=0>', $caption_txt);
							$caption_txt = str_replace(';)', '<img src=images/smileys/wink.png border=0>', $caption_txt);
							$caption_txt = str_replace('[code]', '<code>', $caption_txt);
							$caption_txt = str_replace('[/code]', '</code>', $caption_txt);
							$caption_txt = str_replace("\n", '<br />', $caption_txt);
							$caption_txt = str_replace('[b]', '<b>', $caption_txt);
							$caption_txt = str_replace('[/b]', '</b>', $caption_txt);
							$caption_txt = str_replace('[i]', '<i>', $caption_txt);
							$caption_txt = str_replace('[/i]', '</i>', $caption_txt);
							$caption_txt = str_replace('[u]', '<u>', $caption_txt);
							$caption_txt = str_replace('[/u]', '</u>', $caption_txt);
							$caption_txt = str_replace('[strike]', '<strike>', $caption_txt);
							$caption_txt = str_replace('[/strike]', '</strike>', $caption_txt);
							$caption_txt = str_replace('[sup]', '<sup>', $caption_txt);
							$caption_txt = str_replace('[/sup]', '</sup>', $caption_txt);
							$caption_txt = str_replace('[sub]', '<sub>', $caption_txt);
							$caption_txt = str_replace('[/sub]', '</sub>', $caption_txt);
							$caption_txt = str_replace('[highlight]', '<highlight>', $caption_txt);
							$caption_txt = str_replace('[/highlight]', '</highlight>', $caption_txt);
							$caption_txt = str_replace('<highlight>', '<span style="background-color: #ffff00;">', $caption_txt);
							$caption_txt = str_replace('</highlight>', '</span>', $caption_txt);

							$fp_caption_txt = fopen($caption_file,"w");
							fwrite($fp_caption_txt,$caption_txt);
							fclose($fp_caption_txt);
						}
					}

					$res = copy($_FILES['album_image_input']['tmp_name'], $album_dir . '/' . $_FILES['album_image_input']['name']);
					unlink($_FILES['album_image_input']['tmp_name']);

				}
				else {
					unlink($_FILES['album_image_input']['tmp_name']);
				}

			}
			else {
				unlink($_FILES['album_image_input']['tmp_name']);
			}

		}
		else {
			unlink($_FILES['album_image_input']['tmp_name']);
		}

	}
	else {
		unlink($_FILES['album_image_input']['tmp_name']);
	}

}

if (isset($_FILES['entry_image_input']) and !empty($_FILES['entry_image_input'])) {

	if (is_uploaded_file($_FILES['entry_image_input']['tmp_name'])) {

		if ($_FILES['entry_image_input']['size']<=$max_image_size) {

			if (($_FILES['entry_image_input']['type']=="image/gif") || ($_FILES['entry_image_input']['type']=="image/pjpeg") || ($_FILES['entry_image_input']['type']=="image/jpeg") || ($_FILES['entry_image_input']['type']=="image/png")) {

				if (!file_exists($image_path . $_REQUEST['entry'] . '/' . $_FILES['entry_image_input']['name'])) {

					$image_dir = $image_path . $_REQUEST['entry'];
					if (!file_exists($image_dir)) {
						mkdir($image_dir);
					}

					$res = copy($_FILES['entry_image_input']['tmp_name'], $image_path . $_REQUEST['entry'] . '/' . $_FILES['entry_image_input']['name']);
					unlink($_FILES['entry_image_input']['tmp_name']);

					$entry_image_size = getimagesize($image_path . $_REQUEST['entry'] . '/' . $_FILES['entry_image_input']['name']);
					$entry_image_width = $entry_image_size[0];
					$entry_image_height = $entry_image_size[1];

					$max_entry_image_width = 513;

					if ($entry_image_width > $max_entry_image_width) {   
						$sizefactor = (double) ($max_entry_image_width / $entry_image_width) ;
						$entry_image_width = (int) ($entry_image_width * $sizefactor);
						$entry_image_height = (int) ($entry_image_height * $sizefactor); 
					}

					$body_write_content = '<img src=' . $image_path . $_REQUEST['entry'] . '/' . $_FILES['entry_image_input']['name'] . ' border=0 width=' . $entry_image_width . ' height=' . $entry_image_height . '><br>' . $body_write_content;

				} 
				else {
					unlink($_FILES['entry_image_input']['tmp_name']);
				}
			}
			else {
				unlink($_FILES['entry_image_input']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['entry_image_input']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['entry_image_input']['tmp_name']);
	}
}

if (isset($_FILES['file_input']) and !empty($_FILES['file_input'])) {
	if (is_uploaded_file($_FILES['file_input']['tmp_name'])) {
		if ($_FILES['file_input']['size']<=$max_file_size) {
			$filedrop_dir = 'data/items/' . $_REQUEST['entry'] . '/filedrop';
			if (!file_exists($filedrop_dir)) {
				mkdir($filedrop_dir);
			}
			$file_dir = 'data/items/' . $_REQUEST['entry'] . '/filedrop/files';
			if (!file_exists($file_dir)) {
				mkdir($file_dir);
			}
			if (!file_exists($file_dir . '/' . $_FILES['file_input']['name'])) {
				$res = copy($_FILES['file_input']['tmp_name'], $file_dir . '/' . $_FILES['file_input']['name']);
				unlink($_FILES['file_input']['tmp_name']);
				$file_src = $file_dir . '/' . $_FILES['file_input']['name'];
				$file_file = $filedrop_dir . '/' . $_FILES['file_input']['name'] . '.txt';
				$fp_file_txt = fopen($file_file,"w");
				fwrite($fp_file_txt,$file_src);
				fclose($fp_file_txt);
			}
			else {
				unlink($_FILES['file_input']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['file_input']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['file_input']['tmp_name']);
	}
}

$open_body_file = fopen($body_file,"w");
fwrite($open_body_file,$body_write_content);
fclose($open_body_file);

$sticky_sem = 'data/sticky/' . $_REQUEST['entry'];
if (isset($_REQUEST['sticky']) and !empty($_REQUEST['sticky']) and ($_REQUEST['sticky'] == "on")) {
	if (!file_exists("data/sticky")) {
		mkdir("data/sticky");
	}
	if (!file_exists($sticky_sem)) {
		touch($sticky_sem);
	}
}
if (!isset($_REQUEST['sticky']) or empty($_REQUEST['sticky'])) {
	if (file_exists($sticky_sem)) {
		unlink($sticky_sem);
	}
}

$display_sem = "data/items/{$_REQUEST['entry']}/cat.txt";
if (isset($_REQUEST['display']) and !empty($_REQUEST['display']) and ($_REQUEST['display'] == "on")) {
	if (!file_exists($display_sem)) {
		touch($display_sem);
	}
}
if (!isset($_REQUEST['display']) or empty($_REQUEST['display'])) {
	if (file_exists($display_sem)) {
		unlink($display_sem);
	}
}

$private_sem = "data/items/{$_REQUEST['entry']}/private.txt";
if (isset($_REQUEST['private']) and !empty($_REQUEST['private']) and ($_REQUEST['private'] == "on")) {
	if (!file_exists($private_sem)) {
		touch($private_sem);
	}
}
if (!isset($_REQUEST['private']) or empty($_REQUEST['private'])) {
	if (file_exists($private_sem)) {
		unlink($private_sem);
	}
}

$member_sem = "data/items/{$_REQUEST['entry']}/member.txt";
if (isset($_REQUEST['member']) and !empty($_REQUEST['member']) and ($_REQUEST['member'] == "on")) {
	if (!file_exists($member_sem)) {
		touch($member_sem);
	}
}
if (!isset($_REQUEST['member']) or empty($_REQUEST['member'])) {
	if (file_exists($member_sem)) {
		unlink($member_sem);
	}
}

$lastmod_sem = "data/items/{$_REQUEST['entry']}/lastmod.txt";
if (isset($_REQUEST['lastmod']) and !empty($_REQUEST['lastmod']) and ($_REQUEST['lastmod'] == "on")) {
	if (!file_exists($lastmod_sem)) {
		touch($lastmod_sem);
	}
}
if (!isset($_REQUEST['lastmod']) or empty($_REQUEST['lastmod'])) {
	if (file_exists($lastmod_sem)) {
		unlink($lastmod_sem);
	}
}

if (isset($_REQUEST['pdf']) and !empty($_REQUEST['pdf']) and ($_REQUEST['pdf'] == "on")) {
	if (!file_exists("data/items/{$_REQUEST['entry']}/pdf")) {
		mkdir("data/items/{$_REQUEST['entry']}/pdf");
	}
	if (!file_exists("data/items/{$_REQUEST['entry']}/pdf/file")) {
		mkdir("data/items/{$_REQUEST['entry']}/pdf/file");
	}
	if (!file_exists("data/items/{$_REQUEST['entry']}/pdf/count")) {
		mkdir("data/items/{$_REQUEST['entry']}/pdf/count");
	}

	$entry = $_REQUEST['entry'];
	$author_file = "data/author.txt";
	$title_file = "data/items/$entry/title.txt";
	$date_file = "data/items/$entry/date.txt";
	$body_file = "data/items/$entry/body.txt";

	$author = file_get_contents($author_file);
	$title = file_get_contents($title_file);
	$date = file_get_contents($date_file);

	$link = "<a href=http://" . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'] . "?entry=" . $entry . ">http://" . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'] . "?entry=" . $entry . "</a>";
	$link = str_replace("pdf.php?entry=","index.php?entry=",$link);

	$body = file_get_contents($body_file);
	$body = str_replace("\n","<br>",$body);

	$html = "<br><i>by $author</i><br><br>$date<br><br>Canonical Source<br>$link<br><br><br>$body";

	$filename = strtolower($title);
	$filename = strtolower($_SERVER['SERVER_NAME']) . "-" . $entry . "-" . $filename . ".pdf";
	$filename = str_replace(" ","-",$filename);
	$filename = "data/items/$entry/pdf/file/$filename";

	require('fpdf.php');

	class PDF extends FPDF
	{
		var $B;
		var $I;
		var $U;
		var $HREF;
		
		function PDF($orientation='P',$unit='mm',$format='letter')
		{
		    //Call parent constructor
		    $this->FPDF($orientation,$unit,$format);
		    //Initialization
		    $this->B=0;
		    $this->I=0;
		    $this->U=0;
		    $this->HREF='';
		}
	
		function WriteHTML($html)
		{
		    //HTML parser
		    $html=str_replace("\n",' ',$html);
		    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
		    foreach($a as $i=>$e)
		    {
		        if($i%2==0)
		        {
		            //Text
		            if($this->HREF)
		                $this->PutLink($this->HREF,$e);
		            else
		                $this->Write(5,$e);
		        }
		        else
		        {
		            //Tag
		            if($e{0}=='/')
		                $this->CloseTag(strtoupper(substr($e,1)));
		            else
		            {
		                //Extract attributes
		                $a2=explode(' ',$e);
		                $tag=strtoupper(array_shift($a2));
		                $attr=array();
		                foreach($a2 as $v)
		                    if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
		                        $attr[strtoupper($a3[1])]=$a3[2];
		                $this->OpenTag($tag,$attr);
		            }
		        }
		    }
		}
		
		function OpenTag($tag,$attr)
		{
		    //Opening tag
		    if($tag=='B' or $tag=='I' or $tag=='U')
		        $this->SetStyle($tag,true);
		    if($tag=='A')
		        $this->HREF=$attr['HREF'];
		    if($tag=='BR')
		        $this->Ln(5);
		}
		
		function CloseTag($tag)
		{
		    //Closing tag
		    if($tag=='B' or $tag=='I' or $tag=='U')
		        $this->SetStyle($tag,false);
		    if($tag=='A')
		        $this->HREF='';
		}
		
		function SetStyle($tag,$enable)
		{
		    //Modify style and select corresponding font
		    $this->$tag+=($enable ? 1 : -1);
		    $style='';
		    foreach(array('B','I','U') as $s)
		        if($this->$s>0)
		            $style.=$s;
		    $this->SetFont('',$style);
		}
		
		function PutLink($URL,$txt)
		{
		    //Put a hyperlink
		    $this->SetTextColor(0,0,255);
		    $this->SetStyle('U',true);
		    $this->Write(5,$txt,$URL);
		    $this->SetStyle('U',false);
		    $this->SetTextColor(0);
		}
	}

	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->SetTitle($title);
	$pdf->SetAuthor($author);
	$pdf->SetFont('Helvetica','B',14);
	$pdf->WriteHTML($title);
	$pdf->SetFont('Helvetica','',10);
	$pdf->WriteHTML($html);
	$pdf->Output($filename);
}

if (!isset($_REQUEST['pdf']) or empty($_REQUEST['pdf'])) {
	if (file_exists("data/items/{$_REQUEST['entry']}/pdf/file")) {
		rmdirr("data/items/{$_REQUEST['entry']}/pdf/file");
	}
}

if (isset($_REQUEST['category']) and !empty($_REQUEST['category'])) {
	if (!file_exists("data/categories")) {
		mkdir("data/categories");
	}
	if ($_REQUEST['category'] == "unfiled") {
		unlink("data/items/{$_REQUEST['entry']}/category.txt");
	}
	if (file_exists("data/categories/{$_REQUEST['category']}")) {
		$fp_category_txt = fopen("data/items/{$_REQUEST['entry']}/category.txt","w");
		fwrite($fp_category_txt, $_REQUEST['category']);
		fclose($fp_category_txt);
	}
}

$passwd_file = "data/items/{$_REQUEST['entry']}/passwd.txt";
if (isset($_REQUEST['passwd']) and !empty($_REQUEST['passwd']) and ($_REQUEST['passwd'] != "password")) {
	$fp_passwd_txt = fopen("$passwd_file","w");
	$passwd_crypt = sha1($_REQUEST['passwd']);
	$passwd_crypt = md5($passwd_crypt);
	$passwd_crypt = crypt($passwd_crypt, $passwd_crypt);
	fwrite($fp_passwd_txt, $passwd_crypt);
	fclose($fp_passwd_txt);
}
if (!isset($_REQUEST['passwd']) or empty($_REQUEST['passwd'])) {
	if (file_exists($passwd_file)) {
		unlink($passwd_file);
	}
}

$default_ping_urls = "http://technorati.com/ping/http://" . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']);
$ping_urls_file = "data/ping.txt";

if (!file_exists($ping_urls_file)) {
	$fp_default_ping_txt = fopen($ping_urls_file,"w");
	fwrite($fp_default_ping_txt, $default_ping_urls);
	fclose($fp_default_ping_txt);
}

$fp_ping_urls = fopen($ping_urls_file, "r");
$ping_urls = fread($fp_ping_urls, filesize($ping_urls_file));
fclose($fp_ping_urls);

$get_ping_urls = explode("|", $ping_urls);

foreach ($get_ping_urls as $ping_url) {
	$ping = file_get_contents($ping_url);

	//$ping_urls_edit_file = "data/ping-edit.txt";
	//$fp_ping_urls_edit_txt = fopen($ping_urls_edit_file,"w");
	//fwrite($fp_ping_urls_edit_txt, $ping);
	//fclose($fp_ping_urls_edit_txt);

	unset($ping);
}

?>
